Package org.pushingpixels.lafwidget.utils

# Class TrackableThread

java.lang.Object
java.lang.Thread
org.pushingpixels.lafwidget.utils.TrackableThread

All Implemented Interfaces:
  `Runnable`

Direct Known Subclasses:
  `TabPreviewThread`

public abstract class TrackableThread extends Thread
Base class for all helper threads.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TrackableThread()`
Creates new instance.

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`requestStop()`
Issues a stop request on `this` thread.
`static void`
`requestStopAllThreads()`
Issues a stop request on all helper threads.

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TrackableThread

protected TrackableThread()
Creates new instance.

## Method Details

### requestStop

protected abstract void requestStop()
Issues a stop request on `this` thread.

### requestStopAllThreads

public static void requestStopAllThreads()
Issues a stop request on all helper threads.